API referenceDiscord
PUT /discord/channels/{channelId}/pins/{messageId}
Pin a message (idempotent; needs Manage Messages; a 51st pin is a 400)
PUT
BearerAuthheader
AuthorizationBearer <token>API key sk_...
channelId*stringDiscord channel id (snowflake)
messageId*stringDiscord message id
accountId*stringDiscord account id bound to this server (or the channel's server)
Done
application/json- response
success?booleanoperation?"message_pinned"Value in
"message_pinned"channelId?stringmessageId?stringcurl -X PUT 'https://example.com/api/v1/discord/channels/string/pins/string?accountId=string'Example Response
{ "success": true, "operation": "message_pinned", "channelId": "string", "messageId": "string"}